//diagaramma di Bode di G(s)=1+ks
clf;
k=5;      //k  quello che di solito si indica con tau
wt=1/k;         //omega di taglio
ft=wt/(2*%pi);  //freqenza di taglio %pi = pigreco

l=-3;
u=2;
fl=10^(l);    //frequenza limite inferiore (low)
fu=10^u;      //freq. limite sup. (up)

f=logspace(l,u,(u-l)*10); //asse delle ascisse logaritmico

s=poly(0,'s') //istruzione necessaria per definire polinomi in s

G=syslin('c',(1+k*s)/s^0); //polinomio in s (G(s)) definito su un dominio continuo ('c')
                  // necessario specificare un denominatore in s, se il denominatore  1 mettere s^0
                  
titolo=strcat(['wt = ',string(wt),'    ft = ',string(ft),'   log(',string(ft),') = ',string(log10(ft))]);
//creazione della stringa titolo

title=titolo;

bode(G,fl,fu,title);//diagramma di Bode di G(s) da 10^-3 a 10^2

